Bug 1553157 - Cannot delete multiple Policies
Summary: Cannot delete multiple Policies
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.9.0
Hardware: Unspecified
OS: Unspecified
medium
low
Target Milestone: GA
: 5.10.0
Assignee: Karel Hala
QA Contact: Radim Hrazdil
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-03-08 12:45 UTC by Jan Zmeskal
Modified: 2019-02-07 23:01 UTC (History)
7 users (show)

Fixed In Version: 5.10.0.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-02-07 23:01:17 UTC
Category: ---
Cloudforms Team: CFME Core
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:0212 None None None 2019-02-07 23:01:24 UTC

Description Jan Zmeskal 2018-03-08 12:45:05 UTC
Description of problem:
There is a possibility to select multiple policies, but you cannot delete the in bulk.

Version-Release number of selected component (if applicable):
5.9.0.22

How reproducible:
100 %

Steps to Reproduce:
1. Have several Vm Control Policies
2. Go to Control -> Explorer -> Policies -> Control Policies -> Vm Control Policies
3. On the right side, you have All VM and Instance Control Policies listed. On the bottom of the page, click Select All
4. Now click on Configuration dropdown. 

Actual results:
The only available option is Add a New VM and Instance Control Policiy.

Expected results:
I would expect there would be an option to remove all of the policies at once, otherwise the Select All checkbox does not make much sense

Additional info:
Below bugs might be related, but I am not sure if they are duplicates or not:
https://bugzilla.redhat.com/show_bug.cgi?id=1514723
https://bugzilla.redhat.com/show_bug.cgi?id=1532340

Comment 4 CFME Bot 2018-04-06 17:21:41 UTC
New commit detected on ManageIQ/manageiq-ui-classic/master:

https://github.com/ManageIQ/manageiq-ui-classic/commit/d5277d4117dbdbf90cfd5b5e82875c63a172358e
commit d5277d4117dbdbf90cfd5b5e82875c63a172358e
Author:     Karel Hala <khala@redhat.com>
AuthorDate: Fri Mar  9 08:22:20 2018 -0500
Commit:     Karel Hala <khala@redhat.com>
CommitDate: Fri Mar  9 08:22:20 2018 -0500

    Do not display checkboxes if they should not be visible in GTL
    fixes https://bugzilla.redhat.com/show_bug.cgi?id=1553157

 app/controllers/application_controller/report_data_additional_options.rb | 5 +
 app/helpers/application_helper.rb | 2 +
 2 files changed, 7 insertions(+)

Comment 5 Radim Hrazdil 2018-06-26 07:23:38 UTC
Verified that 'Select All' button is not available, therefore there is no way to select multiple policies. 

Version 5.10.0.0.20180613200131_887cc81

Comment 6 errata-xmlrpc 2019-02-07 23:01:17 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:0212


Note You need to log in before you can comment on or make changes to this bug.